Autor Tema: Version 3.4.3 con Postgres 9.6 y Ubuntu 16.4  (Leído 1246 veces)

0 Usuarios y 1 Visitante están viendo este tema.

gpiccininno

  • Jr. Member
  • **
  • Mensajes: 53
    • Ver Perfil
    • Email
  • Institución: MPF
  • Nombre y apellido: Graciela Rita Piccininno
  • Teléfono laboral: 4335-4286
  • Utilizo algun sistéma del SIU: Sí
Version 3.4.3 con Postgres 9.6 y Ubuntu 16.4
« on: Marzo 16, 2018, 03:27:25 pm »
Estimados:
                       Hicimos una prueba de migración de nuestra aplicación Mapuche de la versión 3.0.2 a la 3.4.3
Para poder realizar la explotación de datos estamos intentando usar Pgadmin 4 (versión 2.1) pero para consultar los datos estamos teniendo problemas del tipo

select * from s_user;

ERROR:  invalid byte sequence for encoding "UTF8": 0xa8
SQL state: 22021

La base de datos está creada con la siguiente configuración:

CREATE DATABASE siu_prueba
    WITH
    OWNER = postgres
    ENCODING = 'SQL_ASCII'
    LC_COLLATE = 'en_US.UTF-8'
    LC_CTYPE = 'en_US.UTF-8'
    TABLESPACE = pg_default
    CONNECTION LIMIT = -1;

CREATE DATABASE postgres
    WITH
    OWNER = postgres
    ENCODING = 'UTF8'
    LC_COLLATE = 'en_US.UTF-8'
    LC_CTYPE = 'en_US.UTF-8'
    TABLESPACE = pg_default
    CONNECTION LIMIT = -1;

Agradeceríamos cualquier aporte para solucionar el inconveniente.

Gracias!

marmentano

  • Moderador Mapuche
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: siu
  • Nombre y apellido: Miguel Armentano
  • Sistema: mapuche
  • Teléfono laboral: 422000
Re:Version 3.4.3 con Postgres 9.6 y Ubuntu 16.4
« Respuesta #1 on: Marzo 19, 2018, 10:54:55 am »
Hola Graciela,

En el php.ini cual es la codificación que tienen?

Fíjate dentro de :
  • /etc/php/7.x/apache2/php.ini
  • /etc/php/7.x/cli/php.ini/li]
La variable es default_charset


Saludos
Poli

gpiccininno

  • Jr. Member
  • **
  • Mensajes: 53
    • Ver Perfil
    • Email
  • Institución: MPF
  • Nombre y apellido: Graciela Rita Piccininno
  • Teléfono laboral: 4335-4286
  • Utilizo algun sistéma del SIU: Sí
Re:Version 3.4.3 con Postgres 9.6 y Ubuntu 16.4
« Respuesta #2 on: Marzo 19, 2018, 12:36:53 pm »
Hola Miguel:
                             Te comento que el problema lo estamos teniendo en el acceso a la base desde el Pgadmin 4 (versión 2.1) desde Windows.  No tendría nada que ver con la configuración de PHP. Pero de todos modos te mando como está configurado el php, tanto en  /etc/php/7.x/apache2/php.ini  como en /etc/php/7.x/cli/php.ini/li  según lo que consultamos con Informática, porque no concuerda con las recomendaciones de   http://foro.comunidad.siu.edu.ar/index.php?topic=13204.0 según la cual debería ser :

default_charset = "ISO-8859-1" y está en "UTF-8" en ambos archivos.
Confirma esto así le indicamos a AI que lo modifiquen. 

Queda pendiente el problema que persiste al consultar por la herramienta Pgadmin, si nos pueden dar una mano. Como información adicional, te comento que para la versión 3.0.2 que tenemos en Producción no tenemos inconveniente, porque lo accedemos con Pgadmin III (Versión 1.20). Si ejecuto select pg_client_encoding()  en esta versión indica "SQL_ASCII" y en el caso de Pgadmin 4 indica "UTF8" para la misma base de datos. De dónde tomará  dicha configuración, porque parecería venir por ese lado.


Gracias y Saludos.
« Última Modificación: Marzo 20, 2018, 12:36:46 pm por gpiccininno »

marmentano

  • Moderador Mapuche
  • *
  • Mensajes: 184
    • Ver Perfil
    • Email
  • Institución: siu
  • Nombre y apellido: Miguel Armentano
  • Sistema: mapuche
  • Teléfono laboral: 422000
Re:Version 3.4.3 con Postgres 9.6 y Ubuntu 16.4
« Respuesta #3 on: Marzo 20, 2018, 09:31:22 am »
Graciela,
Te consulto, a uds mapuche les funciona bien o también le da problemas ?

gpiccininno

  • Jr. Member
  • **
  • Mensajes: 53
    • Ver Perfil
    • Email
  • Institución: MPF
  • Nombre y apellido: Graciela Rita Piccininno
  • Teléfono laboral: 4335-4286
  • Utilizo algun sistéma del SIU: Sí
Re:Version 3.4.3 con Postgres 9.6 y Ubuntu 16.4
« Respuesta #4 on: Marzo 20, 2018, 09:34:58 am »
Buen día.
Mapuche por lo poco que pudimos probar funciona bien, pero no te lo aseguro dado que todavía no arrancamos con las pruebas de la aplicación específicamente. Probé el liquidador escritorio y liquidó sin inconvenientes y accedí a algunas consultas sin problemas, pero faltaría una prueba completa.